OpenJPH: ojph::j2c_outfile Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::j2c_outfile Class Reference

`#include <ojph_file.h>`

Inheritance diagram for ojph::j2c_outfile:

## Public Member Functions
| j2c_outfile ()
| ~j2c_outfile () override
void | open (const char *filename)
size_t | write (const void *ptr, size_t size) override
si64 | tell () override
void | flush () override
void | close () override
Public Member Functions inherited from ojph::outfile_base
virtual | ~outfile_base ()
virtual int | seek (si64 offset, enum outfile_base::seek origin)

## Private Attributes
FILE * | fh

## Additional Inherited Members
Public Types inherited from ojph::outfile_base
enum | seek : int { OJPH_SEEK_SET = SEEK_SET , OJPH_SEEK_CUR = SEEK_CUR , OJPH_SEEK_END = SEEK_END }

## Detailed Description

Definition at line 97 of file ojph_file.h.

## Constructor & Destructor Documentation

## ◆ j2c_outfile()

ojph::j2c_outfile::j2c_outfile | ( |  | ) |
| inline

Definition at line 100 of file ojph_file.h.

References fh.

## ◆ ~j2c_outfile()

ojph::j2c_outfile::~j2c_outfile | ( |  | ) |
| inlineoverride

Definition at line 101 of file ojph_file.h.

References fh.

## Member Function Documentation

## ◆ close()

void ojph::j2c_outfile::close | ( |  | ) |
| overridevirtual

Reimplemented from ojph::outfile_base.

Definition at line 92 of file ojph_file.cpp.

References fh.

## ◆ flush()

void ojph::j2c_outfile::flush | ( |  | ) |
| overridevirtual

Reimplemented from ojph::outfile_base.

Definition at line 85 of file ojph_file.cpp.

References fh.

## ◆ open()

void ojph::j2c_outfile::open | ( | const char * | filename | ) |

Definition at line 62 of file ojph_file.cpp.

References fh, and OJPH_ERROR.

Referenced by main().

## ◆ tell()

si64 ojph::j2c_outfile::tell | ( |  | ) |
| overridevirtual

Reimplemented from ojph::outfile_base.

Definition at line 78 of file ojph_file.cpp.

References fh, and ojph::ojph_ftell().

## ◆ write()

size_t ojph::j2c_outfile::write | ( | const void * | ptr,
|  | size_t | size )
| overridevirtual

Implements ojph::outfile_base.

Definition at line 71 of file ojph_file.cpp.

References fh.

## Member Data Documentation

## ◆ fh

FILE* ojph::j2c_outfile::fh
| private

Definition at line 110 of file ojph_file.h.

Referenced by close(), flush(), j2c_outfile(), open(), tell(), write(), and ~j2c_outfile().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/openjph/ojph_file.h
- /build/openjph/src/OpenJPH/src/core/others/ojph_file.cpp